<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>


    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous" />
    <link href="css/common.css" rel="stylesheet" type="text/css" />

</head>

<body>
    <div id="wrapper">

        <nav class="navbar  navbar-light " style="background-color: azure" ;>

            <h1>
                <p class="fishtitle text-primary">熱帯魚の館</p>
            </h1>
            <ul class="l navbar-nav flex-row">
                <li class="nav-item"><a class="nav-link" href="userdetailservlet?id=${userInfo.id}"> ${userInfo.name}さん</a></li>
                <li class="nav-item">　　<a class="btn btn-primary" href="LoginServlet">ログアウト</a></li>
            </ul>
        </nav>

        <div class="container">


            <br> <br>
            <h2>
                <p class="fishboard">熱帯魚掲示板</p>
            </h2>
            <div>
                <span class="boardname">・掲示板名：${fishboarddetail.boardname}（作成日時）:${fishboarddetail.createdate}</span>
            </div>
            <div>
                <span class="boardname">・本文</span>
                <p class="box">${fishboarddetail.text}</p>
            </div>

            <c:if test="${userInfo.loginId=='admin' or userInfo.id==fishboarddetail.userid}">
                <a class="btn btn-success" href="FishboardupdateServlet?fishboardid=${fishboarddetail.boardid}">掲示板情報更新</a>
                <a class="btn btn-danger" href="FishboarddeleteServlet?fishid=${fishboarddetail.fishid}&fishboardid=${fishboarddetail.boardid}">掲示板情報削除</a>
            </c:if>

            <br> <br> <br>



            <div>
                <p>コメント一覧</p>
            </div>

            <div class="commentall">
                <div class="commentbox">
                    <c:forEach var="commentList" items="${commentList}" varStatus="status">
                        <p>${commentList.name}<br>${commentList.text}
                            <c:if test="${userInfo.loginId=='admin' or userInfo.id==fishboarddetail.userid}">
                                <a class="btn btn-danger commentdeletebutton" href="CommentdeleteServlet?commentid=${commentList.id}&boardid=${fishboarddetail.boardid}">削除</a>
                            </c:if>
                        </p>
                    </c:forEach>
                </div>





                <form action="commentServlet?userid=${userInfo.id}&boardid=${fishboarddetail.boardid}" method="post">
                    <div class="form-group">
                        <textarea name="comment" rows="3" cols="70" name="boardtext"></textarea>
                        <button class="commentinsertbutton ">入力</button>
                    </div>
                </form>


            </div>

            <br> <a class="nav-link" href="FishdetailServlet?fish_id=${fishboarddetail.fishid}"> 戻る</a>
        </div>
        <footer>
            <a href="fishresister?userid=${userInfo.id}">　　熱帯魚情報登録</a>
        </footer>
    </div>
</body></html>